Table of Contents

## Name

sisu - documents: structuring, publishing in multiple formats, and search

## Synopsis

sisu -W SISU - SISU_WEBRICK, RALPH AMISSAH

SISU WEBRICK

1. SISU_WEBRICK

1.1 NAME

SiSU - Structured information, Serialized Units - a document

publishing system

1.2 SYNOPSIS

sisu_webrick [port]

or

sisu --Webrick [port]

or

sisu -W [port]

1.3 DESCRIPTION

sisu_webrick is part of SiSU (man sisu) sisu_webrick starts Ruby ’s Webrick web-server and points it to the directories to which SiSU output is written, providing a list of these directories (assuming SiSU is in use and they exist).

The default port for sisu_webrick is set to 8081, this may be modified in the yaml file: ~/.sisu/sisurc.yml a sample of which is provided as /etc/sisu/sisurc.yml (or in the equivalent directory on your system).

1.4 SUMMARY OF MAN PAGE

sisu_webrick, may be started on it’s own with the command: sisu_webrick or using the sisu command with the -W flag: sisu -W [port]

where no port is given and settings

are unchanged the default port is 8081

1.5 DOCUMENT PROCESSING COMMAND

FLAGS

sisu -W [port] starts Ruby Webrick web-server, serving SiSU output directories, on the port provided, or if no port is provided and the defaults

have not been changed in ~/.sisu/sisurc.yaml then on port 8081

1.6 FURTHER

INFORMATION

For more information on SiSU see: <http://www.jus.uio.no/sisu >

or man sisu

1.7 AUTHOR

Ralph Amissah ralph@amissah.com or ralph.amissah@gmail.com

1.8 SEE ALSO

sisu(1)

sisu_vim(7)

sisu(8)

## Homepage

More information about SiSU can be found at <http://www.sisudoc.org/ > or <http://www.jus.uio.no/sisu/ >.

## Author

SiSU is written by Ralph Amissah <ralph@amissah.com>.

Table of Contents

- Name
- Synopsis
- Homepage
- Author